open Printf
open Arg

open Cmd_util
open Util
open Query_align


let _ = begin
  let fname = Sys.argv.(1) in
  let f = open_in fname in
  let best : (float * topk_hit) array = Pervasives.input_value f in
  close_in f;

  let n = Array.length best in
(*   printf "Nhits: %d\n\n%10s %8s %8s %8s\n" n "Score" "DB ID" "Length" "Nal"; *)
  for i=0 to n-1 do
    let score, hit = best.(i) in
    let nal = ref 0 in
    for j=0 to hit.alen-1 do
      match hit.qal.(j), hit.dal.(j) with
	Some _, Some _ -> incr nal;
      | _ -> ();
    done;
    printf "%10.2f %8s %8d %8d\n" score hit.dbkey hit.alen !nal;
  done;
end
